Subject: Re: bug#554: OSX: with-temp-buffer kills unrelated processes

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 17 Jul 2008 10:51:39 +0900

>>>>> On Wed, 16 Jul 2008 17:27:47 +0200, Markus Triska <[email-masked]> said:

> YAMAMOTO Mitsuharu <[email-masked]> writes:
>> OK, close-on-exec seems to be usable for the `fork' case.  How
>> about the patch below?

> Thank you very much; I've tested the following adapted version of
> your patch with the latest CVS trunk of Emacs, and the problem seems
> gone.

Thanks for testing.

Although whether _exit closes file descriptors or not is
implementation-dependent, the current Emacs code seems to assume that
it always does (in its supported platforms).  If so, close before
_exit and the changes to callproc.c in my previous patch can be
removed.  I'll install a simplified one later.

				     YAMAMOTO Mitsuharu
				[email-masked]